Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_EH_Dispatch_Info Class Reference

This structure contains information of the activated event handler. More...

`#include <TP_Reactor.h>`

Collaboration diagram for ACE_EH_Dispatch_Info:

[legend]
List of all members.

## Public Methods
| ACE_EH_Dispatch_Info (void)
void | set (ACE_HANDLE handle, ACE_Event_Handler *event_handler, ACE_Reactor_Mask mask, ACE_EH_PTMF callback)
void | reset (void)
int | dispatch (void) const
## Public Attributes
ACE_HANDLE | handle_
ACE_Event_Handler * | event_handler_
ACE_Reactor_Mask | mask_
ACE_EH_PTMF | callback_
int | dispatch_
## Private Methods
| ACE_EH_Dispatch_Info (const ACE_EH_Dispatch_Info &)
ACE_EH_Dispatch_Info & | operator= (const ACE_EH_Dispatch_Info &)

## Detailed Description

This structure contains information of the activated event handler.

## Constructor & Destructor Documentation

ACE_INLINE ACE_EH_Dispatch_Info::ACE_EH_Dispatch_Info | ( | void |  | ) |

ACE_EH_Dispatch_Info::ACE_EH_Dispatch_Info | ( | const ACE_EH_Dispatch_Info & |  | ) | `[private]`

## Member Function Documentation

ACE_INLINE int ACE_EH_Dispatch_Info::dispatch | ( | void |  | ) | const

ACE_EH_Dispatch_Info& ACE_EH_Dispatch_Info::operator= | ( | const ACE_EH_Dispatch_Info & |  | ) | `[private]`

ACE_INLINE void ACE_EH_Dispatch_Info::reset | ( | void |  | ) |

ACE_INLINE void ACE_EH_Dispatch_Info::set | ( | ACE_HANDLE | handle,
|  | ACE_Event_Handler * | event_handler,
|  | ACE_Reactor_Mask | mask,
|  | ACE_EH_PTMF | callback
| ) |

## Member Data Documentation

ACE_EH_PTMF ACE_EH_Dispatch_Info::callback_

int ACE_EH_Dispatch_Info::dispatch_

ACE_Event_Handler* ACE_EH_Dispatch_Info::event_handler_

ACE_HANDLE ACE_EH_Dispatch_Info::handle_

ACE_Reactor_Mask ACE_EH_Dispatch_Info::mask_

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TP_Reactor.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TP_Reactor.i